## org.mortbay.cometd.client.ext
Class TimesyncClientExtension

    java.lang.Object
      org.mortbay.cometd.client.ext.TimesyncClientExtension

All Implemented Interfaces:
  org.cometd.Extension

    public class TimesyncClientExtension

extends java.lang.Object
implements org.cometd.Extension

Constructor Summary
`TimesyncClientExtension()`

Method Summary
`int` `getLag()`
`int` `getOffset()`
`long` `getServerTime()`
`org.cometd.Message` `rcv(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `rcvMeta(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `send(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `sendMeta(org.cometd.Client from, org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimesyncClientExtension

    public TimesyncClientExtension()

Method Detail

### rcv

    public org.cometd.Message rcv(org.cometd.Client from,
                                  org.cometd.Message message)

  Specified by:
    `rcv` in interface `org.cometd.Extension`

### rcvMeta

    public org.cometd.Message rcvMeta(org.cometd.Client from,
                                      org.cometd.Message message)

  Specified by:
    `rcvMeta` in interface `org.cometd.Extension`

### send

    public org.cometd.Message send(org.cometd.Client from,
                                   org.cometd.Message message)

  Specified by:
    `send` in interface `org.cometd.Extension`

### sendMeta

    public org.cometd.Message sendMeta(org.cometd.Client from,
                                       org.cometd.Message message)

  Specified by:
    `sendMeta` in interface `org.cometd.Extension`

### getOffset

    public int getOffset()

### getLag

    public int getLag()

### getServerTime

    public long getServerTime()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.